# PackableForInterpolation

Core/PackableForInterpolation.js 3
Static interface for `Packable` types which are interpolated in a different representation than their packed value. These methods and properties are expected to be defined on a constructor function.

##### See:

- Packable

### Members

#### static Cesium.PackableForInterpolation.packedInterpolationLength : Number
Core/PackableForInterpolation.js 17

The number of elements used to store the object into an array in its interpolatable form.

### Methods

#### static Cesium.PackableForInterpolation.convertPackedArrayForInterpolation(packedArray, startingIndex, lastIndex, result)
Core/PackableForInterpolation.js 28

Converts a packed array into a form suitable for interpolation.

Name | Type | Default | Description
--- | --- | --- | ---
`packedArray` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The index of the first element to be converted.
`lastIndex` | Number | `packedArray.length` | optional The index of the last element to be converted.
`result` | Array.<Number> |  | optional The object into which to store the result.

#### static Cesium.PackableForInterpolation.unpackInterpolationResult(array, sourceArray, startingIndex, lastIndex, result) → Object
Core/PackableForInterpolation.js 41

Retrieves an instance from a packed array converted with `PackableForInterpolation.convertPackedArrayForInterpolation`.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The array previously packed for interpolation.
`sourceArray` | Array.<Number> |  | The original packed array.
`startingIndex` | Number | `0` | optional The startingIndex used to convert the array.
`lastIndex` | Number | `packedArray.length` | optional The lastIndex used to convert the array.
`result` | Object |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new Object instance if one was not provided.